#
# Conditional build:
%bcond_without	vulkan	# Vulkan support

Summary:	Metacity window manager
Summary(pl.UTF-8):	Zarządca okien Metacity
Name:		metacity
Version:	3.34.1
Release:	1
Epoch:		2
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://ftp.gnome.org/pub/GNOME/sources/metacity/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	c0c10204e4d6d024cb413042c1de316b
URL:		https://wiki.gnome.org/Projects/Metacity
%if %{with vulkan}
BuildRequires:	Vulkan-Headers
BuildRequires:	Vulkan-Loader-devel
%endif
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.14
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.3.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libgtop-devel >= 2.0
BuildRequires:	libtool >= 2:2
BuildRequires:	pango-devel >= 1:1.2.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel >= 0.3
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xz >= 1:4.999.7
Requires(post,postun):	glib2 >= 1:2.44.0
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	gsettings-desktop-schemas >= 3.3.0
Requires:	xorg-lib-libXcomposite >= 0.3
Requires:	zenity
Provides:	gdm-wm = 3.2.1-1
Provides:	gnome-wm
Obsoletes:	metacity-themes-Adwaita
Obsoletes:	metacity-themes-AgingGorilla
Obsoletes:	metacity-themes-Atlanta
Obsoletes:	metacity-themes-Bright
Obsoletes:	metacity-themes-Crux
Obsoletes:	metacity-themes-Esco
Obsoletes:	metacity-themes-HighContrast
Obsoletes:	metacity-themes-Metabox
Obsoletes:	metacity-themes-Simple
# sr@Latn vs. sr@latin
Conflicts:	filesystem < 3.0-20
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Metacity is a simple window manager that integrates nicely with GNOME.

%description -l pl.UTF-8
Metacity jest prostym zarządcą okien ładnie integrującym się z GNOME.

%package libs
Summary:	Metacity - libraries
Summary(pl.UTF-8):	Metacity - biblioteki
Group:		X11/Libraries
Requires:	glib2 >= 1:2.44.0
Requires:	gtk+3 >= 3.22.0
Requires:	pango >= 1:1.2.0
Conflicts:	metacity <= 2.6.3-4

%description libs
This package contains libraries for Metacity window manager.

%description libs -l pl.UTF-8
Pakiet zawierający biblioteki zarządcy okien Metacity.

%package devel
Summary:	Metacity - header files
Summary(pl.UTF-8):	Metacity - pliki nagłówkowe
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.44.0
Requires:	gtk+3-devel >= 3.22.0

%description devel
This package contains header files for Metacity window manager.

%description devel -l pl.UTF-8
Pakiet zawierający pliki nagłówkowe zarządcy okien Metacity.

%package static
Summary:	Static Metacity library
Summary(pl.UTF-8):	Statyczna biblioteka Metacity
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of Metacity library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki Metacity.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ZENITY=/usr/bin/zenity \
	--disable-silent-rules \
	%{!?with_vulkan:--disable-vulkan}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xml/metacity

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p doc/metacity-theme.dtd $RPM_BUILD_ROOT%{_datadir}/xml/metacity

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmetacity.la

# "metacity" gettext domain, "creating-metacity-themes" help
%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README rationales.txt doc/theme-format.txt
%attr(755,root,root) %{_bindir}/metacity
%attr(755,root,root) %{_bindir}/metacity-message
%attr(755,root,root) %{_bindir}/metacity-theme-viewer
%attr(755,root,root) %{_bindir}/metacity-window-demo
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.theme.gschema.xml
# package keybindings dir, not to pull optional gnome-control-center dependency
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/50-metacity-*.xml
%{_datadir}/xml/metacity
%{_datadir}/%{name}
%{_desktopdir}/metacity.desktop
%{_mandir}/man1/metacity*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmetacity.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmetacity.so.1

%files devel
%defattr(644,root,root,755)
%doc ChangeLog HACKING doc/dialogs.txt
%attr(755,root,root) %{_libdir}/libmetacity.so
%{_includedir}/metacity
%{_pkgconfigdir}/libmetacity.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmetacity.a
%changelog
* Fri Nov 22 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/metacity.git;a=log;h=master

* Fri Nov 22 2019 Jakub Bogusz <qboosh@pld-linux.org> b57b30b
- updated to 3.34.1

* Tue Sep 11 2018 Elan Ruusamäe <glen@pld-linux.org> d103d5a
- add gnome-control-center dir as well

* Tue Sep 11 2018 Elan Ruusamäe <glen@pld-linux.org> 3bd51fa
- package keybindings dir, not to pull optional gnome-control-center dependency

* Thu Sep 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2cd18a6
- release 2 (by relup.sh)

* Sat Jun 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 8272e77
- cleanup, versioned libXcomposite dependency

* Thu Apr 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7ecff8c
- Update to 3.24.1

* Sun Mar 19 2017 Marcin Banasiak <marcin.banasiak@gmail.com> fbbdbb7
- Update to 3.24.0 (note: new library name)

* Mon Feb 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 0040ca8
- updated to 3.18.2

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 8bee0b2
- updated to 3.18.1

* Mon May 18 2015 Jakub Bogusz <qboosh@pld-linux.org> f641de3
- updated to 3.16.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7ae0160
- updated gettext BR

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> f96d82c
- libgtop rebuild
- release 2 (by relup.sh)

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 1e123a2
- updated to 2.34.13

* Mon Feb 13 2012 lisu <lisu@pld-linux.org> dd045fe
- updated to 2.34.2
- tar.xz package

* Mon Oct 24 2011 Artur Frysiak <artur@frysiak.net> a2f9ad6
- provides gdm-wm (windowm manager used by gdm)
- rel. 4

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> 03f5fb2
- rel 3
- use buildroot for removing thins

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> f5f1698
- rel 2
- conditional (off by default) wm-properties (only used in gnome2)

* Thu Jun 23 2011 Łukasz Kieś <kiesiu@pld-linux.org> 770322b
- updated to 2.34.1
- updated BRs

* Tue Apr 05 2011 Marcin Banasiak <marcin.banasiak@gmail.com> bd3b2a2
- obsolete

* Tue Apr 05 2011 Marcin Banasiak <marcin.banasiak@gmail.com> da5ed01
- updated to 2.34.0
- removed obsolete -meta_session_shutdown.patch

